Subject: More about quantifiers

From: "Jorge Llambias" <[email-masked]>
Date: Sun, 10 Mar 2002 02:18:37

In terms of sets (SP for the intersection, 0 is the empty set)
we have:

- +
A SP=S [or S=0] SP=S and S/=0
E SP=0 [or S=0] SP=0 and S/=0
I SP/=0 or S=0 SP/=0 [and S/=0]
O SP/=S or S=0 SP/=S [and S/=0]

The square brackets show unnecessary conditions, as
they are already implicit in the first part.
The condition for non-import is "or S=0" = "or there
is no S" = "if there is any S" and the condition for
existential import is "and S/=0" = "and there is some S".

To be perfectly clear in English we can say:

A- All S are P, if there is any S
A+ All S are P, and there is some S
E- No S is P, if there is any S
E+ No S is P, and there is some S
I- Some S are P, if there is any S
I+ Some S are P, and there is some S
O- Not all S are P, if there is any S
O+ Not all S are P, and there is some S

Notice that in the set notation, the group that does
not require the import condition is A-,E-,I+,O+.
That condition is implicit already in the first part.
Some people say that the same happens in English:

A- All S are P
E- No S is P
I+ Some S are P
O+ Not all S are P

however this is controversial. Other people see A+ and E+
in the bare forms, and I think some see O- in the bare O form,
but I'm not sure (if you see A+ in the bare A, it would
make sense to see O- in the bare O).

Now for the uncontroversial Lojban forms:

The "simple" foursome:

A- roda zo'u ganai da broda gi da brode
E- noda zo'u ge da broda gi da brode
I+ su'oda zo'u ge da broda gi da brode
O+ me'iroda zo'u ganai da broda gi da brode

(Maybe {me'iroda} is slightly controversial, but I think pc has
not objected very strongly to it. Replace by {naku roda} or
other equivalents if preferred.)

And the "complicated" foursome:

A+ ge da broda gi rode zo'u ganai de broda gi de brode
E+ ge da broda gi noda zo'u ge de broda gi de brode
I- ganai da broda gi su'oda zo'u ge de broda gi de brode
O- ganai da broda gi me'iroda zo'u ganai de broda gi de brode

We could write the import condition explicitly in the simple
foursome too, but it would be an unnecessary complication, as it
doesn't add anything.

In any of this, we can use the following replacement rules
and get equivalent forms:

roda = noda naku = naku me'iroda = naku su'oda naku
noda = roda naku = naku su'oda = naku me'iroda naku
su'oda = me'iroda naku = naku noda = naku roda naku
me'iroda = su'oda naku = naku roda = naku noda naku

So far there should be no disagreement (I hope). Now comes the
part where we disagree. I want {da poi broda} et al to stand
for the four simple forms, thus:

A- roda poi broda cu brode
E- noda poi broda cu brode
I+ [su'o]da poi broda cu brode
O+ me'iroda poi broda cu brode

The great advantage of this is that the transformation rules
keep working just as before. So, for example {roda poi broda} is
equivalent to {noda poi broda naku} and so on. The complicated
forms as before get a more complicated form, just as in set
terms and in explicit terms:

A+ ge da broda gi rode poi broda cu brode
E+ ge da broda gi node poi broda cu brode
I- ganai da broda gi [su'o]de poi broda cu brode
O- ganai da broda gi me'irode poi broda cu brode

pc would use the simple forms for I- and O-, and to say
I+ and O+ he would have to say:

I+ ge da broda gi [su'o]de poi broda cu brode
O+ ge da broda gi me'irode poi broda cu brode

Notice that these last two also work for me, they just have
unnecessary complications, just as my I- and O- work for pc as
well, though they have unnecessary complications.

Now we go to the even more reduced forms {ro broda} et al.
In my system {Q broda} is just {Q da poi broda}, so we have
the simple forms:

A- ro broda cu brode
E- no broda cu brode
I+ su'o broda cu brode
O+ me'iro broda cu brode

Again, the big advantage of this is that the transformation rules
keep working exactly as before. {ro broda} = {no broda naku}
and so on. Again the complicated forms can be obtained as before:

A+ ge da broda gi ro broda cu brode
E+ ge da broda gi no broda cu brode
I- ganai da broda gi su'o broda cu brode
O- ganai da broda gi me'iro broda cu brode

Now, pc does not make the identification of {ro broda} and
{ro da poi broda}. Instead, he assigns the {Q broda} forms
to the + cases, so we differ in {ro broda} and {no broda},
just as before we differed in {su'o da poi broda} and
{me'iroda poi broda}.

As a final quirk, Lojban has "inner quantifiers" that allow us
in my system to use {ro lo su'o broda} for A+, and similarly
for E+, so as a bonus I get:

A+ ro lo su'o broda cu brode
E+ no lo su'o broda cu brode

There is no similar trick to force non-import, so I don't
have equivalent short forms for I- and O- in terms of {su'o}
and {me'iro}, but we can always get them in terms of the
negations of the other two:

I- naku no lo su'o broda cu brode
O- naku ro lo su'o broda cu brode

These last four forms should all work in pc's system as well.

To summarize, the only conflicting forms are:

ro broda cu brode
no broda cu brode
[su'o]da poi broda cu brode
me'iroda poi broda cu brode

which have different import in pc's system (Lojban's system
if you wish) and mine.

In my system the transformations:

roda = noda naku = naku me'iroda = naku su'oda naku
noda = roda naku = naku su'oda = naku me'iroda naku
su'oda = me'iroda naku = naku noda = naku roda naku
me'iroda = su'oda naku = naku roda = naku noda naku

will work at all levels, {roda}, {roda poi broda} and {ro broda}.
In pc's system they work at the basic level, but they have
cross forms at the other levels, {roda poi broda} can only
be transformed with {su'o broda} and so on.

I find it much easier to work with my system (obviously)
but there is nothing that you can do with one system and
not in the other, they are just different notations for
the same underlying logic.

mu'o mi'e xorxes

_________________________________________________________________
MSN Photos is the easiest way to share and print your photos: 
http://photos.msn.com/support/worldwide.aspx